# IRremoteESP8266: src/ir_RC5_RC6.cpp File Reference

ir_RC5_RC6.cpp File Reference

RC-5 & RC-6 support RC-5 & RC-6 support added from https://github.com/z3t0/Arduino-IRremote RC-5X support added by David Conran. More...

## Variables

const uint16_t | kRc5T1 = 889
const uint32_t | kRc5MinCommandLength = 113778
const uint32_t | kRc5MinGap = kRc5MinCommandLength - kRC5RawBits * (2 * kRc5T1)
const uint16_t | kRc5ToggleMask = 0x800
const uint16_t | kRc5SamplesMin = 11
const uint16_t | kRc6Tick = 444
const uint16_t | kRc6HdrMarkTicks = 6
const uint16_t | kRc6HdrMark = kRc6HdrMarkTicks * kRc6Tick
const uint16_t | kRc6HdrSpaceTicks = 2
const uint16_t | kRc6HdrSpace = kRc6HdrSpaceTicks * kRc6Tick
const uint16_t | kRc6RptLengthTicks = 187
const uint32_t | kRc6RptLength = kRc6RptLengthTicks * kRc6Tick
const uint32_t | kRc6ToggleMask = 0x10000UL
const uint16_t | kRc6_36ToggleMask = 0x8000
const int16_t | kMark = 0
const int16_t | kSpace = 1

## Detailed Description

RC-5 & RC-6 support RC-5 & RC-6 support added from https://github.com/z3t0/Arduino-IRremote RC-5X support added by David Conran.

See also
  https://en.wikipedia.org/wiki/RC-5
  http://www.sbprojects.com/knowledge/ir/rc5.php
  https://en.wikipedia.org/wiki/Manchester_code
  https://en.wikipedia.org/wiki/RC-6
  https://www.sbprojects.net/knowledge/ir/rc6.php
  http://www.pcbheaven.com/userpages/The_Philips_RC6_Protocol/
  http://www.righto.com/2010/12/64-bit-rc6-codes-arduino-and-xbox.html

## Variable Documentation

## kMark

const int16_t kMark = 0

## kRc5MinCommandLength

const uint32_t kRc5MinCommandLength = 113778

## kRc5MinGap

const uint32_t kRc5MinGap = kRc5MinCommandLength - kRC5RawBits * (2 * kRc5T1)

## kRc5SamplesMin

const uint16_t kRc5SamplesMin = 11

## kRc5T1

const uint16_t kRc5T1 = 889

## kRc5ToggleMask

const uint16_t kRc5ToggleMask = 0x800

## kRc6_36ToggleMask

const uint16_t kRc6_36ToggleMask = 0x8000

## kRc6HdrMark

const uint16_t kRc6HdrMark = kRc6HdrMarkTicks * kRc6Tick

## kRc6HdrMarkTicks

const uint16_t kRc6HdrMarkTicks = 6

## kRc6HdrSpace

const uint16_t kRc6HdrSpace = kRc6HdrSpaceTicks * kRc6Tick

## kRc6HdrSpaceTicks

const uint16_t kRc6HdrSpaceTicks = 2

## kRc6RptLength

const uint32_t kRc6RptLength = kRc6RptLengthTicks * kRc6Tick

## kRc6RptLengthTicks

const uint16_t kRc6RptLengthTicks = 187

## kRc6Tick

const uint16_t kRc6Tick = 444

## kRc6ToggleMask

const uint32_t kRc6ToggleMask = 0x10000UL

## kSpace

const int16_t kSpace = 1